(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('ngx-ui-tour-core'), require('@angular/common'), require('@angular/core'), require('@ng-bootstrap/ng-bootstrap')) :
    typeof define === 'function' && define.amd ? define('ngx-ui-tour-console', ['exports', 'ngx-ui-tour-core', '@angular/common', '@angular/core', '@ng-bootstrap/ng-bootstrap'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['ngx-ui-tour-console'] = {}, global.ngxUiTourCore, global.ng.common, global.ng.core, global.ngBootstrap));
}(this, (function (exports, i1, common, i0, ngBootstrap) { 'use strict';

    function _interopNamespace(e) {
        if (e && e.__esModule) return e;
        var n = Object.create(null);
        if (e) {
            Object.keys(e).forEach(function (k) {
                if (k !== 'default') {
                    var d = Object.getOwnPropertyDescriptor(e, k);
                    Object.defineProperty(n, k, d.get ? d : {
                        enumerable: true,
                        get: function () {
                            return e[k];
                        }
                    });
                }
            });
        }
        n['default'] = e;
        return Object.freeze(n);
    }

    var i1__namespace = /*#__PURE__*/_interopNamespace(i1);
    var i0__namespace = /*#__PURE__*/_interopNamespace(i0);

    var TourAnchorConsoleDirective = /** @class */ (function () {
        function TourAnchorConsoleDirective(tourService, element, tourBackdrop) {
            this.tourService = tourService;
            this.element = element;
            this.tourBackdrop = tourBackdrop;
            this.isActive = false;
        }
        TourAnchorConsoleDirective.prototype.ngOnInit = function () {
            this.tourService.register(this.tourAnchor, this);
        };
        TourAnchorConsoleDirective.prototype.ngOnDestroy = function () {
            this.tourService.unregister(this.tourAnchor);
        };
        // noinspection JSUnusedGlobalSymbols
        TourAnchorConsoleDirective.prototype.showTourStep = function (step) {
            var htmlElement = this.element.nativeElement;
            this.isActive = true;
            if (!step.disableScrollToAnchor) {
                i1.ScrollingUtil.ensureVisible(htmlElement);
            }
            if (step.enableBackdrop) {
                this.tourBackdrop.show(this.element);
            }
            else {
                this.tourBackdrop.close();
            }
            console.group(step.title);
            console.log(step.content);
            console.log((step.placement || 'above') + " " + this.tourAnchor);
            console.groupEnd();
        };
        TourAnchorConsoleDirective.prototype.hideTourStep = function () {
            this.isActive = false;
            if (this.tourService.getStatus() === i1.TourState.OFF) {
                this.tourBackdrop.close();
            }
        };
        return TourAnchorConsoleDirective;
    }());
    TourAnchorConsoleDirective.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0__namespace, type: TourAnchorConsoleDirective, deps: [{ token: i1__namespace.TourService }, { token: i0__namespace.ElementRef }, { token: i1__namespace.TourBackdropService }], target: i0__namespace.ɵɵFactoryTarget.Directive });
    TourAnchorConsoleDirective.ɵdir = i0__namespace.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.3", type: TourAnchorConsoleDirective, selector: "[tourAnchor]", inputs: { tourAnchor: "tourAnchor" }, host: { properties: { "class.touranchor--is-active": "this.isActive" } }, ngImport: i0__namespace });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0__namespace, type: TourAnchorConsoleDirective, decorators: [{
                type: i0.Directive,
                args: [{
                        selector: '[tourAnchor]',
                    }]
            }], ctorParameters: function () { return [{ type: i1__namespace.TourService }, { type: i0__namespace.ElementRef }, { type: i1__namespace.TourBackdropService }]; }, propDecorators: { tourAnchor: [{
                    type: i0.Input
                }], isActive: [{
                    type: i0.HostBinding,
                    args: ['class.touranchor--is-active']
                }] } });

    var TourConsoleModule = /** @class */ (function () {
        function TourConsoleModule() {
        }
        TourConsoleModule.forRoot = function () {
            return {
                ngModule: TourConsoleModule,
                providers: [
                    i1.TourService,
                    i1.TourBackdropService
                ],
            };
        };
        return TourConsoleModule;
    }());
    TourConsoleModule.ɵfac = i0__namespace.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0__namespace, type: TourConsoleModule, deps: [], target: i0__namespace.ɵɵFactoryTarget.NgModule });
    TourConsoleModule.ɵmod = i0__namespace.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0__namespace, type: TourConsoleModule, declarations: [TourAnchorConsoleDirective], imports: [i1.TourModule, common.CommonModule, ngBootstrap.NgbPopoverModule], exports: [TourAnchorConsoleDirective, i1.TourHotkeyListenerComponent] });
    TourConsoleModule.ɵinj = i0__namespace.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0__namespace, type: TourConsoleModule, imports: [[i1.TourModule, common.CommonModule, ngBootstrap.NgbPopoverModule]] });
    i0__namespace.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0__namespace, type: TourConsoleModule, decorators: [{
                type: i0.NgModule,
                args: [{
                        declarations: [TourAnchorConsoleDirective],
                        exports: [TourAnchorConsoleDirective, i1.TourHotkeyListenerComponent],
                        imports: [i1.TourModule, common.CommonModule, ngBootstrap.NgbPopoverModule],
                    }]
            }] });

    /*
     * Public API Surface of ngx-ui-tour-console
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.TourAnchorConsoleDirective = TourAnchorConsoleDirective;
    exports.TourConsoleModule = TourConsoleModule;
    Object.keys(i1).forEach(function (k) {
        if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return i1[k];
            }
        });
    });

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ngx-ui-tour-console.umd.js.map
