import * as i1 from 'ngx-ui-tour-core';
import { ScrollingUtil, TourState, TourService, TourBackdropService, TourModule, TourHotkeyListenerComponent } from 'ngx-ui-tour-core';
export * from 'ngx-ui-tour-core';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Directive, Input, HostBinding, NgModule } from '@angular/core';
import { NgbPopoverModule } from '@ng-bootstrap/ng-bootstrap';

class TourAnchorConsoleDirective {
    constructor(tourService, element, tourBackdrop) {
        this.tourService = tourService;
        this.element = element;
        this.tourBackdrop = tourBackdrop;
        this.isActive = false;
    }
    ngOnInit() {
        this.tourService.register(this.tourAnchor, this);
    }
    ngOnDestroy() {
        this.tourService.unregister(this.tourAnchor);
    }
    // noinspection JSUnusedGlobalSymbols
    showTourStep(step) {
        const htmlElement = this.element.nativeElement;
        this.isActive = true;
        if (!step.disableScrollToAnchor) {
            ScrollingUtil.ensureVisible(htmlElement);
        }
        if (step.enableBackdrop) {
            this.tourBackdrop.show(this.element);
        }
        else {
            this.tourBackdrop.close();
        }
        console.group(step.title);
        console.log(step.content);
        console.log(`${step.placement || 'above'} ${this.tourAnchor}`);
        console.groupEnd();
    }
    hideTourStep() {
        this.isActive = false;
        if (this.tourService.getStatus() === TourState.OFF) {
            this.tourBackdrop.close();
        }
    }
}
TourAnchorConsoleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0, type: TourAnchorConsoleDirective, deps: [{ token: i1.TourService }, { token: i0.ElementRef }, { token: i1.TourBackdropService }], target: i0.ɵɵFactoryTarget.Directive });
TourAnchorConsoleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "12.2.3", type: TourAnchorConsoleDirective, selector: "[tourAnchor]", inputs: { tourAnchor: "tourAnchor" }, host: { properties: { "class.touranchor--is-active": "this.isActive" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0, type: TourAnchorConsoleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tourAnchor]',
                }]
        }], ctorParameters: function () { return [{ type: i1.TourService }, { type: i0.ElementRef }, { type: i1.TourBackdropService }]; }, propDecorators: { tourAnchor: [{
                type: Input
            }], isActive: [{
                type: HostBinding,
                args: ['class.touranchor--is-active']
            }] } });

class TourConsoleModule {
    static forRoot() {
        return {
            ngModule: TourConsoleModule,
            providers: [
                TourService,
                TourBackdropService
            ],
        };
    }
}
TourConsoleModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0, type: TourConsoleModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
TourConsoleModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0, type: TourConsoleModule, declarations: [TourAnchorConsoleDirective], imports: [TourModule, CommonModule, NgbPopoverModule], exports: [TourAnchorConsoleDirective, TourHotkeyListenerComponent] });
TourConsoleModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0, type: TourConsoleModule, imports: [[TourModule, CommonModule, NgbPopoverModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.2.3", ngImport: i0, type: TourConsoleModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [TourAnchorConsoleDirective],
                    exports: [TourAnchorConsoleDirective, TourHotkeyListenerComponent],
                    imports: [TourModule, CommonModule, NgbPopoverModule],
                }]
        }] });

/*
 * Public API Surface of ngx-ui-tour-console
 */

/**
 * Generated bundle index. Do not edit.
 */

export { TourAnchorConsoleDirective, TourConsoleModule };
//# sourceMappingURL=ngx-ui-tour-console.js.map
